Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# TAO_GOA Class Reference

Implementation of the PortableGroup::GOA interface. More...

`#include <GOA.h>`

Inheritance diagram for TAO_GOA:

[legend]
Collaboration diagram for TAO_GOA:

[legend]
List of all members.

## Public Member Functions
PortableServer::POA_ptr | create_POA (const char *adapter_name, PortableServer::POAManager_ptr poa_manager, const CORBA::PolicyList &policies) throw (CORBA::SystemException, PortableServer::POA::AdapterAlreadyExists, PortableServer::POA::InvalidPolicy)
PortableServer::POA_ptr | find_POA (const char *adapter_name, CORBA::Boolean activate_it) throw (CORBA::SystemException, PortableServer::POA::AdapterNonExistent)
void | destroy (CORBA::Boolean etherealize_objects, CORBA::Boolean wait_for_completion) throw (CORBA::SystemException)
PortableServer::ThreadPolicy_ptr | create_thread_policy (PortableServer::ThreadPolicyValue value) throw (CORBA::SystemException)
PortableServer::LifespanPolicy_ptr | create_lifespan_policy (PortableServer::LifespanPolicyValue value) throw (CORBA::SystemException)
PortableServer::IdUniquenessPolicy_ptr | create_id_uniqueness_policy (PortableServer::IdUniquenessPolicyValue value) throw (CORBA::SystemException)
PortableServer::IdAssignmentPolicy_ptr | create_id_assignment_policy (PortableServer::IdAssignmentPolicyValue value) throw (CORBA::SystemException)
PortableServer::ImplicitActivationPolicy_ptr | create_implicit_activation_policy (PortableServer::ImplicitActivationPolicyValue value) throw (CORBA::SystemException)
PortableServer::ServantRetentionPolicy_ptr | create_servant_retention_policy (PortableServer::ServantRetentionPolicyValue value) throw (CORBA::SystemException)
PortableServer::RequestProcessingPolicy_ptr | create_request_processing_policy (PortableServer::RequestProcessingPolicyValue value) throw (CORBA::SystemException)
char * | the_name () throw (CORBA::SystemException)
PortableServer::POA_ptr | the_parent () throw (CORBA::SystemException)
PortableServer::POAList * | the_children () throw (CORBA::SystemException)
PortableServer::POAManager_ptr | the_POAManager () throw (CORBA::SystemException)
PortableServer::AdapterActivator_ptr | the_activator () throw (CORBA::SystemException)
void | the_activator (PortableServer::AdapterActivator_ptr adapter_activator) throw (CORBA::SystemException)
PortableServer::ServantManager_ptr | get_servant_manager () throw (CORBA::SystemException, PortableServer::POA::WrongPolicy)
void | set_servant_manager (PortableServer::ServantManager_ptr imgr) throw (CORBA::SystemException, PortableServer::POA::WrongPolicy)
PortableServer::Servant | get_servant () throw (CORBA::SystemException, PortableServer::POA::NoServant, PortableServer::POA::WrongPolicy)
void | set_servant (PortableServer::Servant servant) throw (CORBA::SystemException, PortableServer::POA::WrongPolicy)
PortableServer::ObjectId * | activate_object (PortableServer::Servant p_servant) throw (CORBA::SystemException, PortableServer::POA::ServantAlreadyActive, PortableServer::POA::WrongPolicy)
void | activate_object_with_id (const PortableServer::ObjectId &id, PortableServer::Servant p_servant) throw (CORBA::SystemException, PortableServer::POA::ServantAlreadyActive, PortableServer::POA::ObjectAlreadyActive, PortableServer::POA::WrongPolicy)
void | deactivate_object (const PortableServer::ObjectId &oid) throw (CORBA::SystemException, PortableServer::POA::ObjectNotActive, PortableServer::POA::WrongPolicy)
CORBA::Object_ptr | create_reference (const char *intf) throw (CORBA::SystemException, PortableServer::POA::WrongPolicy)
CORBA::Object_ptr | create_reference_with_id (const PortableServer::ObjectId &oid, const char *intf) throw (CORBA::SystemException)
PortableServer::ObjectId * | servant_to_id (PortableServer::Servant p_servant) throw (CORBA::SystemException, PortableServer::POA::ServantNotActive, PortableServer::POA::WrongPolicy)
CORBA::Object_ptr | servant_to_reference (PortableServer::Servant p_servant) throw (CORBA::SystemException, PortableServer::POA::ServantNotActive, PortableServer::POA::WrongPolicy)
PortableServer::Servant | reference_to_servant (CORBA::Object_ptr reference) throw (CORBA::SystemException, PortableServer::POA::ObjectNotActive, PortableServer::POA::WrongAdapter, PortableServer::POA::WrongPolicy)
PortableServer::ObjectId * | reference_to_id (CORBA::Object_ptr reference) throw (CORBA::SystemException, PortableServer::POA::WrongAdapter, PortableServer::POA::WrongPolicy)
PortableServer::Servant | id_to_servant (const PortableServer::ObjectId &oid) throw (CORBA::SystemException, PortableServer::POA::ObjectNotActive, PortableServer::POA::WrongPolicy)
CORBA::Object_ptr | id_to_reference (const PortableServer::ObjectId &oid) throw (CORBA::SystemException, PortableServer::POA::ObjectNotActive, PortableServer::POA::WrongPolicy)
CORBA::OctetSeq * | id () throw (CORBA::SystemException)
| TAO_GOA (const String &name, TAO_POA_Manager &poa_manager, const TAO_POA_Policy_Set &policies, TAO_Root_POA *parent, ACE_Lock &lock, TAO_SYNCH_MUTEX &thread_lock, TAO_ORB_Core &orb_core, TAO_Object_Adapter *object_adapter)
virtual | ~TAO_GOA (void)
MIOP specification methods
virtual PortableServer::ObjectId * | create_id_for_reference (CORBA::Object_ptr the_ref) throw ( CORBA::SystemException, PortableGroup::NotAGroupObject )
virtual PortableGroup::IDs * | reference_to_ids (CORBA::Object_ptr the_ref) throw ( CORBA::SystemException, PortableGroup::NotAGroupObject )
virtual void | associate_reference_with_id (CORBA::Object_ptr ref, const PortableServer::ObjectId &oid) throw ( CORBA::SystemException, PortableGroup::NotAGroupObject )
virtual void | disassociate_reference_with_id (CORBA::Object_ptr ref, const PortableServer::ObjectId &oid) throw ( CORBA::SystemException, PortableGroup::NotAGroupObject )
## Static Public Member Functions
int | Initializer (void)
## Protected Member Functions
virtual TAO_Root_POA * | new_POA (const String &name, TAO_POA_Manager &poa_manager, const TAO_POA_Policy_Set &policies, TAO_Root_POA *parent, ACE_Lock &lock, TAO_SYNCH_MUTEX &thread_lock, TAO_ORB_Core &orb_core, TAO_Object_Adapter *object_adapter)
| Template method for creating new POA's of this type.
int | find_group_component (const CORBA::Object_ptr the_ref, PortableGroup::TagGroupTaggedComponent &group)
int | find_group_component_in_profile (const TAO_Profile *profile, PortableGroup::TagGroupTaggedComponent &group)
int | create_group_acceptors (CORBA::Object_ptr the_ref, TAO_PortableGroup_Acceptor_Registry &acceptor_registry, TAO_ORB_Core &orb_core)
void | associate_group_with_ref (CORBA::Object_ptr group_ref, CORBA::Object_ptr obj_ref) throw (CORBA::SystemException, PortableGroup::NotAGroupObject)

## Detailed Description

Implementation of the PortableGroup::GOA interface.

Implementation of the PortableGroup::GOA interface.

## Constructor & Destructor Documentation

TAO_GOA::TAO_GOA | ( | const String & | name,
|  | TAO_POA_Manager & | poa_manager,
|  | const TAO_POA_Policy_Set & | policies,
|  | TAO_Root_POA * | parent,
|  | ACE_Lock & | lock,
|  | TAO_SYNCH_MUTEX & | thread_lock,
|  | TAO_ORB_Core & | orb_core,
|  | TAO_Object_Adapter * | object_adapter
| ) |

TAO_GOA::~TAO_GOA | ( | void |  | ) | `[virtual]`

## Member Function Documentation

PortableServer::ObjectId * TAO_GOA::activate_object | ( | PortableServer::Servant | p_servant | ) | throw (CORBA::SystemException, PortableServer::POA::ServantAlreadyActive, PortableServer::POA::WrongPolicy)

| Reimplemented from TAO_Root_POA.

void TAO_GOA::activate_object_with_id | ( | const PortableServer::ObjectId & | id,
|  | PortableServer::Servant | p_servant
| ) | throw (CORBA::SystemException, PortableServer::POA::ServantAlreadyActive, PortableServer::POA::ObjectAlreadyActive, PortableServer::POA::WrongPolicy)

| Reimplemented from TAO_Root_POA.

void TAO_GOA::associate_group_with_ref | ( | CORBA::Object_ptr | group_ref,
|  | CORBA::Object_ptr | obj_ref
| ) | throw (CORBA::SystemException, PortableGroup::NotAGroupObject)`[protected]`

| Helper function to associate group references with object references.

void TAO_GOA::associate_reference_with_id | ( | CORBA::Object_ptr | ref,
|  | const PortableServer::ObjectId & | oid
| ) | throw ( CORBA::SystemException, PortableGroup::NotAGroupObject )`[virtual]`

int TAO_GOA::create_group_acceptors | ( | CORBA::Object_ptr | the_ref,
|  | TAO_PortableGroup_Acceptor_Registry & | acceptor_registry,
|  | TAO_ORB_Core & | orb_core
| ) | `[protected]`

PortableServer::IdAssignmentPolicy_ptr TAO_GOA::create_id_assignment_policy | ( | PortableServer::IdAssignmentPolicyValue | value | ) | throw (CORBA::SystemException)

| Reimplemented from TAO_Root_POA.

TAO_BEGIN_VERSIONED_NAMESPACE_DECL PortableServer::ObjectId * TAO_GOA::create_id_for_reference | ( | CORBA::Object_ptr | the_ref | ) | throw ( CORBA::SystemException, PortableGroup::NotAGroupObject )`[virtual]`

PortableServer::IdUniquenessPolicy_ptr TAO_GOA::create_id_uniqueness_policy | ( | PortableServer::IdUniquenessPolicyValue | value | ) | throw (CORBA::SystemException)

| Reimplemented from TAO_Root_POA.

PortableServer::ImplicitActivationPolicy_ptr TAO_GOA::create_implicit_activation_policy | ( | PortableServer::ImplicitActivationPolicyValue | value | ) | throw (CORBA::SystemException)

| Reimplemented from TAO_Root_POA.

PortableServer::LifespanPolicy_ptr TAO_GOA::create_lifespan_policy | ( | PortableServer::LifespanPolicyValue | value | ) | throw (CORBA::SystemException)

| Reimplemented from TAO_Root_POA.

PortableServer::POA_ptr TAO_GOA::create_POA | ( | const char * | adapter_name,
|  | PortableServer::POAManager_ptr | poa_manager,
|  | const CORBA::PolicyList & | policies
| ) | throw (CORBA::SystemException, PortableServer::POA::AdapterAlreadyExists, PortableServer::POA::InvalidPolicy)

| Reimplemented from TAO_Root_POA.

CORBA::Object_ptr TAO_GOA::create_reference | ( | const char * | intf | ) | throw (CORBA::SystemException, PortableServer::POA::WrongPolicy)`[virtual]`

| Reimplemented from TAO_Root_POA.

CORBA::Object_ptr TAO_GOA::create_reference_with_id | ( | const PortableServer::ObjectId & | oid,
|  | const char * | intf
| ) | throw (CORBA::SystemException)

| Reimplemented from TAO_Root_POA.

PortableServer::RequestProcessingPolicy_ptr TAO_GOA::create_request_processing_policy | ( | PortableServer::RequestProcessingPolicyValue | value | ) | throw (CORBA::SystemException)

| Reimplemented from TAO_Root_POA.

PortableServer::ServantRetentionPolicy_ptr TAO_GOA::create_servant_retention_policy | ( | PortableServer::ServantRetentionPolicyValue | value | ) | throw (CORBA::SystemException)

| Reimplemented from TAO_Root_POA.

PortableServer::ThreadPolicy_ptr TAO_GOA::create_thread_policy | ( | PortableServer::ThreadPolicyValue | value | ) | throw (CORBA::SystemException)

| Reimplemented from TAO_Root_POA.

void TAO_GOA::deactivate_object | ( | const PortableServer::ObjectId & | oid | ) | throw (CORBA::SystemException, PortableServer::POA::ObjectNotActive, PortableServer::POA::WrongPolicy)

| Reimplemented from TAO_Root_POA.

void TAO_GOA::destroy | ( | CORBA::Boolean | etherealize_objects,
|  | CORBA::Boolean | wait_for_completion
| ) | throw (CORBA::SystemException)

| Reimplemented from TAO_Root_POA.

virtual void TAO_GOA::disassociate_reference_with_id | ( | CORBA::Object_ptr | ref,
|  | const PortableServer::ObjectId & | oid
| ) | throw ( CORBA::SystemException, PortableGroup::NotAGroupObject )`[virtual]`

int TAO_GOA::find_group_component | ( | const CORBA::Object_ptr | the_ref,
|  | PortableGroup::TagGroupTaggedComponent & | group
| ) | `[protected]`

int TAO_GOA::find_group_component_in_profile | ( | const TAO_Profile * | profile,
|  | PortableGroup::TagGroupTaggedComponent & | group
| ) | `[protected]`

PortableServer::POA_ptr TAO_GOA::find_POA | ( | const char * | adapter_name,
|  | CORBA::Boolean | activate_it
| ) | throw (CORBA::SystemException, PortableServer::POA::AdapterNonExistent)

| Reimplemented from TAO_Root_POA.

PortableServer::Servant TAO_GOA::get_servant | ( |  | ) | throw (CORBA::SystemException, PortableServer::POA::NoServant, PortableServer::POA::WrongPolicy)

| Reimplemented from TAO_Root_POA.

PortableServer::ServantManager_ptr TAO_GOA::get_servant_manager | ( |  | ) | throw (CORBA::SystemException, PortableServer::POA::WrongPolicy)

| Reimplemented from TAO_Root_POA.

CORBA::OctetSeq * TAO_GOA::id | ( |  | ) | throw (CORBA::SystemException)`[virtual]`

| Reimplemented from TAO_Root_POA.

CORBA::Object_ptr TAO_GOA::id_to_reference | ( | const PortableServer::ObjectId & | oid | ) | throw (CORBA::SystemException, PortableServer::POA::ObjectNotActive, PortableServer::POA::WrongPolicy)

| Reimplemented from TAO_Root_POA.

PortableServer::Servant TAO_GOA::id_to_servant | ( | const PortableServer::ObjectId & | oid | ) | throw (CORBA::SystemException, PortableServer::POA::ObjectNotActive, PortableServer::POA::WrongPolicy)

| Reimplemented from TAO_Root_POA.

int TAO_GOA::Initializer | ( | void |  | ) | `[static]`

TAO_Root_POA * TAO_GOA::new_POA | ( | const String & | name,
|  | TAO_POA_Manager & | poa_manager,
|  | const TAO_POA_Policy_Set & | policies,
|  | TAO_Root_POA * | parent,
|  | ACE_Lock & | lock,
|  | TAO_SYNCH_MUTEX & | thread_lock,
|  | TAO_ORB_Core & | orb_core,
|  | TAO_Object_Adapter * | object_adapter
| ) | `[protected, virtual]`

| Template method for creating new POA's of this type. Reimplemented from TAO_Root_POA.

PortableServer::ObjectId * TAO_GOA::reference_to_id | ( | CORBA::Object_ptr | reference | ) | throw (CORBA::SystemException, PortableServer::POA::WrongAdapter, PortableServer::POA::WrongPolicy)

| Reimplemented from TAO_Root_POA.

PortableGroup::IDs * TAO_GOA::reference_to_ids | ( | CORBA::Object_ptr | the_ref | ) | throw ( CORBA::SystemException, PortableGroup::NotAGroupObject )`[virtual]`

PortableServer::Servant TAO_GOA::reference_to_servant | ( | CORBA::Object_ptr | reference | ) | throw (CORBA::SystemException, PortableServer::POA::ObjectNotActive, PortableServer::POA::WrongAdapter, PortableServer::POA::WrongPolicy)

| Reimplemented from TAO_Root_POA.

PortableServer::ObjectId * TAO_GOA::servant_to_id | ( | PortableServer::Servant | p_servant | ) | throw (CORBA::SystemException, PortableServer::POA::ServantNotActive, PortableServer::POA::WrongPolicy)

| Reimplemented from TAO_Root_POA.

CORBA::Object_ptr TAO_GOA::servant_to_reference | ( | PortableServer::Servant | p_servant | ) | throw (CORBA::SystemException, PortableServer::POA::ServantNotActive, PortableServer::POA::WrongPolicy)

| Reimplemented from TAO_Root_POA.

void TAO_GOA::set_servant | ( | PortableServer::Servant | servant | ) | throw (CORBA::SystemException, PortableServer::POA::WrongPolicy)

| Reimplemented from TAO_Root_POA.

void TAO_GOA::set_servant_manager | ( | PortableServer::ServantManager_ptr | imgr | ) | throw (CORBA::SystemException, PortableServer::POA::WrongPolicy)

| Reimplemented from TAO_Root_POA.

void TAO_GOA::the_activator | ( | PortableServer::AdapterActivator_ptr | adapter_activator | ) | throw (CORBA::SystemException)

| Reimplemented from TAO_Root_POA.

PortableServer::AdapterActivator_ptr TAO_GOA::the_activator | ( |  | ) | throw (CORBA::SystemException)`[virtual]`

| Reimplemented from TAO_Root_POA.

PortableServer::POAList * TAO_GOA::the_children | ( |  | ) | throw (CORBA::SystemException)`[virtual]`

| Reimplemented from TAO_Root_POA.

char * TAO_GOA::the_name | ( |  | ) | throw (CORBA::SystemException)`[virtual]`

| Reimplemented from TAO_Root_POA.

PortableServer::POA_ptr TAO_GOA::the_parent | ( |  | ) | throw (CORBA::SystemException)`[virtual]`

| Reimplemented from TAO_Regular_POA.

PortableServer::POAManager_ptr TAO_GOA::the_POAManager | ( |  | ) | throw (CORBA::SystemException)`[virtual]`

| Reimplemented from TAO_Root_POA.

The documentation for this class was generated from the following files:

- GOA.h
- GOA.cpp